| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiSvc::GaudiSvcConf::DetDataSvc Class Reference

List of all members.

## Detailed Description

Definition at line 1483 of file GaudiSvcConf.py.

## Public Member Functions
def | __init__
def | getDlls
def | getType
## Static Private Attributes
dictionary | __slots__
dictionary | _propertyDocDct

## Member Function Documentation

def GaudiSvc::GaudiSvcConf::DetDataSvc::__init__ | ( |  | self,
|  |  | name = `Configurable.DefaultName`,
|  |  | kwargs |
| ) |  |  |

Definition at line 1509 of file GaudiSvcConf.py.

    01509                                                                :
    01510       super(DetDataSvc, self).__init__(name)
    01511       for n,v in kwargs.items():
    01512          setattr(self, n, v)
      def getDlls( self ):

def GaudiSvc::GaudiSvcConf::DetDataSvc::getDlls | ( |  | self | ) |

Definition at line 1513 of file GaudiSvcConf.py.

    01513                      :
    01514       return 'GaudiSvc'
      def getType( self ):

def GaudiSvc::GaudiSvcConf::DetDataSvc::getType | ( |  | self | ) |

Definition at line 1515 of file GaudiSvcConf.py.

    01515                      :
    01516       return 'DetDataSvc'
      pass # class DetDataSvc

## Member Data Documentation

dictionary GaudiSvc::GaudiSvcConf::DetDataSvc::__slots__`[static, private]`

Initial value:

    {
        'OutputLevel' : 0, # int
        'AuditServices' : False, # bool
        'AuditInitialize' : False, # bool
        'AuditStart' : False, # bool
        'AuditStop' : False, # bool
        'AuditFinalize' : False, # bool
        'AuditReInitialize' : False, # bool
        'AuditReStart' : False, # bool
        'RootCLID' : 3, # int
        'RootName' : '/dd', # str
        'ForceLeaves' : False, # bool
        'InhibitPathes' : [  ], # list
        'DataFaultName' : 'DataFault', # str
        'DataAccessName' : 'DataAccess', # str
        'EnableFaultHandler' : False, # bool
        'EnableAccessHandler' : False, # bool
        'DetStorageType' : 7, # int
        'DetDbLocation' : 'empty', # str
        'DetDbRootName' : 'dd', # str
        'UsePersistency' : False, # bool
        'PersistencySvc' : 'DetectorPersistencySvc', # str
      }

Definition at line 1484 of file GaudiSvcConf.py.

dictionary GaudiSvc::GaudiSvcConf::DetDataSvc::_propertyDocDct`[static, private]`

Initial value:

    {
      }

Definition at line 1507 of file GaudiSvcConf.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiSvc/genConf/GaudiSvc/GaudiSvcConf.py